#!/usr/bin/env ansible-playbook
---

- name: "Ensure that the apt repositories are updated - old image issues"
  hosts:
    - cluster
  become: true
  tasks:
    - name: Ensure that the apt cache is updated
      apt:
        update_cache: true
      register: apt_res
      retries: 5
      until: apt_res is success
      when: ansible_os_family == "Debian"

- name: "Apply the docker role to the docker nodes"
  hosts:
    - cluster
  become: true
  roles:
    - ska_cicd.docker_base.docker

- name: "Apply the podman role to the podman nodes"
  hosts:
    - cluster
  become: true
  roles:
    - ska_cicd.docker_base.podman


- name: "Apply the containerd role to docker nodes"
  hosts:
    - cluster
  become: true
  become_method: sudo
  roles:
    - ska_cicd.docker_base.containerd
